/* Базовые цвета от которых выстраивается вся палитра */
$color-default: #fff; /* Базовый цвет содержимого, от которого выстраиваются цвета текста, иконок, ...*/
$color-success: #46B145; /* Цвет успеха */
$color-warning: #EBBB08; /* Цвет предупреждения */
$color-alert: #D60100; /* Цвет ошибки */
$color-brand: #0089ff; /* hsl(220, 100%, 47%) Ссылочный цвет, от которого выстраиваются все их состояния */

/* Цвета фона */
$color-bg: #20222e; /* Цвет дефолта */
$color-bg-selection: #2c2e3a; /* Цвет фона секции / блока */
$color-bg-system: #2c2e3b; /* Цвет фона системнный */
$color-bg-border: #606580; /* Цвет границ */
$color-bg-success: $color-success; /* Цвет фона успеха */
$color-bg-warning: $color-warning; /* Цвет фона предупреждения */
$color-bg-alert: $color-alert; /* Цвет фона ошибки */
$color-bg-brand: $color-brand; /* Цвет фона брендированый */
$color-bg-normal: #ffffff; /* Цвет фона нейтральный */
$color-bg-ghost: transparent; /* Цвет затенения */
$color-bg-action: #5b607d; /* Цвет фона действия */
$color-bg-hover: #8c99b2; /* Цвет фона при наведении */

$color-bg-level-1: $color-bg-selection;
$color-bg-level-2: #232532;
$color-bg-level-3: #1f212c;
$color-bg-level-4: #1b1d27;

/* Цвета текста */
$color-typo: #ffffff; /* Цвет основного текста */
$color-typo-light: #8c99b2; /* Цвет второстепенного текста */
$color-typo-promo: $color-brand; /* Цвет промо текста */
$color-typo-hover: #ffffff; /* Цвет фона при наведении */
$color-typo-ghost: transparent; /* Цвет дополнительного текста */
$color-typo-disable: transparent; /* Цвет неактивного текста */
$color-typo-success: $color-success; /* Цвет текста успеха */
$color-typo-warning: $color-warning; /* Цвет текста предупреждения */
$color-typo-alert: $color-alert; /* Цвет текста ошибки */

/* Размеры текста */
$size-typo-s: 10px;
$size-typo-m: 12px;
$size-typo-l: 14px;
$size-typo-xl: 16px;
$size-typo-xxl: 18px;
$size-typo-xxxl: 24px;
$size-typo-icon: 52px;

/* Межстрочный интервал */
$line-height-typo-s: 12px;
$line-height-typo-m: 15px;
$line-height-typo-l: 18px;
$line-height-typo-xl: 22px;
$line-height-typo-xxl: 26px;
$line-height-typo-xxxl: 32px;


$border-radius: 4px;
